Skip to main content
POST
/
api
/
v1
/
collections
/
search
Search Collection
curl --request POST \
  --url https://api.example.com/api/v1/collections/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "collection_id": "<string>",
  "search_type": "hybrid",
  "filters": {},
  "max_results": 10
}
'
import requests

url = "https://api.example.com/api/v1/collections/search"

payload = {
"query": "<string>",
"collection_id": "<string>",
"search_type": "hybrid",
"filters": {},
"max_results": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
collection_id: '<string>',
search_type: 'hybrid',
filters: {},
max_results: 10
})
};

fetch('https://api.example.com/api/v1/collections/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "content": "<string>",
      "score": 123,
      "metadata": {},
      "content_id": "<string>",
      "source": "<string>"
    }
  ],
  "total_results": 123,
  "query": "<string>",
  "collection_id": "<string>",
  "execution_time_ms": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Body

application/json

Request schema for knowledge search.

query
string
required

Search query string

collection_id
string
required

ID of the collection to search in

search_type
enum<string>
default:hybrid

Type of search to perform

Available options:
vector,
keyword,
hybrid
filters
Filters · object

Additional filters to apply

max_results
integer
default:10

Maximum number of results to return

Required range: 1 <= x <= 100

Response

Successful Response

Response schema for knowledge search.

results
SearchResult · object[]
required

List of search results

total_results
integer
required

Total number of results found

query
string
required

Original search query

search_type
enum<string>
required

Type of search performed

Available options:
vector,
keyword,
hybrid
collection_id
string
required

Collection that was searched

execution_time_ms
number | null

Search execution time in milliseconds